Subject: bug#64154: Some additions to the EasyPG Assistant's manual

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Jul 2023 14:26:46 +0300

> Date: Sun, 9 Jul 2023 12:18:39 +0200
> Cc: [email-masked]
> From: Jens Schmidt <[email-masked]>
> 
> >> +reads, since the gpg-agent caches your passphrase for file reads at
> >> +least for some time, but not for buffer saves.
> > 
> > I think gpg-agent should be in @command (here and elsewhere), since
> > it's a shell command name.
> 
> Yet another case where I tried to maintain consistency with the original
> manual: It uses gpg-agent rather consistently (without @command) where I
> probably would have used the proper name "GnuPG agent".
> 
> In any case it means changing existing text, not simply adding new text ...

There's no need to fix everything (although you get bonus points for
doing so), it is enough not to add such problems in new text.

> I thought that @vindex is somewhat reserved for Emacs variables that are
> defined with @defvar.  So the variable index is more of an index for
> everything "variable-like"?

No, @vindex is for any variables.  (@defvar produces an index entry
automatically, so you don't have to add a @vindex.)

> >> +@c Make pinentry-emacs the default Pinentry by means of your operating
> >> +@c system.  Install package pinentry.el from GNU ELPA and execute M-x
> >> +@c pinentry-start to start the Emacs Pinentry service.  *All* GnuPG
> > 
> > "M-x command" should be in @kbd.
> 
> Even if the whole text is a comment or to be @ignored?

Well, if we want this text to be usable at some future point, yes.
Otherwise, why keep it?  And it isn't like making it right needs too
much work, so I think it's worth our while.